AbuseFilter doesn't log removal of redirects
Closed, DeclinedPublic

Description

Redirects are removed by undoing the edit that created them or restoring a previous edit.
This does not trigger the EditFilterHook in Wikidata!!!!

See also
T72715: AbuseFilter doesn't log creating redirects in mainspace

Addshore created this task.May 6 2015, 5:20 PM
Addshore updated the task description. (Show Details)
Addshore raised the priority of this task from to Normal.
Addshore claimed this task.
Addshore added a subscriber: Addshore.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 6 2015, 5:20 PM

Change 209274 had a related patch set uploaded (by Addshore):
Run EditFilterHooks on undo undoafter & restore

https://gerrit.wikimedia.org/r/209274

daniel added a subscriber: daniel.May 7 2015, 1:02 PM

I think this is actually intended: undo/restore should not be filtered like manual edits. They should not require a captcha, etc. A revert should be possible even if it violates an AbuseFilter rule.

Addshore set Security to None.
Addshore moved this task from Backlog to Review on the Wikidata-Sprint-2015-05-05 board.

That is probably true in core, I think Wikidata has a slightly different case.

The ONLY way that redirect can be removed is by undoing the edit that created the redirect or by restoring a previous version (Though the UI anyway).
Which is something that users have been doing, and it is near impossible to spot and stop.
Being able to filter edits like this would solve the issue.

Thoughts?

@Addshore: I think it's actually true especially for wikidata, where a revert *cannot* be edited.

It seems to me that using AbuseFilter for logging is kind of an abuse in and of itself. Perhaps this would be better? T73236: Automatically tag edits that make a redirect, or convert a redirected page to a normal page, or move a page across namespaces, etc.

@Lydia_Pintscher that looks like a separate issue and should likely have another task created for it.

@daniel indeed T73236 could be a solution!

Tobi_WMDE_SW edited a custom field.May 25 2015, 11:08 AM

Removing this from the sprint, since it seems to need more discussion. Maybe admin reverts should not trigger abuse filter, but undos should?...

I think the tagging solution in core would defiantly be the cleanest, I guess we just wait and see how long that takes!

@Addshore: there are patches up for the core solution ,you can review and comment :)

Change 209274 abandoned by Addshore:
Run EditFilterHooks on undo undoafter & restore

Reason:
per comments etc.
This thing in core would be better

https://gerrit.wikimedia.org/r/209274

Restricted Application added a subscriber: Luke081515. · View Herald TranscriptJul 2 2015, 10:38 AM
Addshore edited a custom field.
Addshore removed Addshore as the assignee of this task.
jayvdb added a subscriber: jayvdb.Sep 11 2015, 8:46 AM
matej_suchanek closed this task as Declined.Jan 26 2018, 2:59 PM

T73236 solved the problem.